Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.inference.dig.translator
Class DefaultDIGQueryResponse

    java.lang.Object
      edu.stanford.smi.protegex.owl.inference.dig.translator.DefaultDIGQueryResponse

All Implemented Interfaces:
  DIGQueryResponse

    public class DefaultDIGQueryResponse

extends Object
implements DIGQueryResponse

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Jul 20, 2004

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Constructor Summary
`DefaultDIGQueryResponse(OWLModel kb)`

Method Summary
`boolean` | `getBoolean()` If the query resultied in a boolean response, for example asking if a concept was satisfiable, then this method may be used to get the boolean result.
`Collection` | `getConcepts()` If the query resulted in a concept set response type for example a query for super concepts then this method can be used to get the concepts.
`String` | `getID()` Gets the ID of the query that the reponse corresponds to
`Collection` | `getIndividuals()` If the query resulted in an individual set response type then this method may be used to obtain the individuals in the response.
`void` | `setElement(Element element)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDIGQueryResponse

    public DefaultDIGQueryResponse(OWLModel kb)

Method Detail

### setElement

    public void setElement(Element element)

### getID

    public String getID()

  Description copied from interface: `DIGQueryResponse`
  Gets the ID of the query that the reponse corresponds to

  Specified by:
    `getID` in interface `DIGQueryResponse`

### getConcepts

    public Collection getConcepts()

  Description copied from interface: `DIGQueryResponse`
  If the query resulted in a concept set response type for example a query for super concepts then this method can be used to get the concepts.

  Specified by:
    `getConcepts` in interface `DIGQueryResponse`
  Returns:
    A `Collection` of `RDFSClass`s

### getIndividuals

    public Collection getIndividuals()

  Description copied from interface: `DIGQueryResponse`
  If the query resulted in an individual set response type then this method may be used to obtain the individuals in the response.

  Specified by:
    `getIndividuals` in interface `DIGQueryResponse`
  Returns:
    A `Collection` of `RDFIndividual`s

### getBoolean

    public boolean getBoolean()

  Description copied from interface: `DIGQueryResponse`
  If the query resultied in a boolean response, for example asking if a concept was satisfiable, then this method may be used to get the boolean result.

  Specified by:
    `getBoolean` in interface `DIGQueryResponse`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.